// Include file for Laplacian mesh class



// Type definitions

class R3LaplacianMesh : public R3Mesh {
public:
  // Constructors/Destructors
  R3LaplacianMesh(void);
  virtual ~R3LaplacianMesh(void);

  // Mesh input/output functions
  int ReadMesh(const char *filename);
  int WriteMesh(const char *filename);

  // Function input/output functions
  int ReadVertexValues(const char *filename);
  int WriteVertexValues(const char *filename);

  // Reconstruction functions
  void UpdateVertexPositions(const vector<R3MeshVertex *>& anchored_vertices);
  void UpdateVertexValues(double empty_value = 0);

  // Drawing functions
  void DrawVertexValues(double empty_value = 0);

public:
  // Variables for Laplacian matrix and coordinates 
  // FILL IN HERE
};
